import { URI } from "../../../../base/common/uri.js";
import { DiffAlgorithmName } from "../../../../editor/common/services/editorWorker.js";
import { DirtyDiffModel } from "./dirtydiffDecorator.js";
export declare const IDirtyDiffModelService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IDirtyDiffModelService>;
export interface IDirtyDiffModelService {
    _serviceBrand: undefined;
    getDirtyDiffModel(uri: URI): DirtyDiffModel | undefined;
    getDiffModel(uri: URI, algorithm: DiffAlgorithmName): DirtyDiffModel | undefined;
}
